Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`protocols`.`jabber`.`xmpp_stringprep``

module documentation
(source)

Undocumented

Interface | `ILookupTable` | Interface for character lookup classes.
Interface | `IMappingTable` | Interface for character mapping classes.
Class | `EmptyMappingTable` | Undocumented
Class | `LookupTable` | Undocumented
Class | `LookupTableFromFunction` | Undocumented
Class | `MappingTableFromFunction` | Undocumented
Class | `NamePrep` | Implements preparation of internationalized domain names.
Class | `Profile` | Undocumented
Constant | `B_1` | Undocumented
Constant | `B_2` | Undocumented
Constant | `C_11` | Undocumented
Constant | `C_12` | Undocumented
Constant | `C_21` | Undocumented
Constant | `C_22` | Undocumented
Constant | `C_3` | Undocumented
Constant | `C_4` | Undocumented
Constant | `C_5` | Undocumented
Constant | `C_6` | Undocumented
Constant | `C_7` | Undocumented
Constant | `C_8` | Undocumented
Constant | `C_9` | Undocumented
Variable | `crippled` | Undocumented
Variable | `nameprep` | Undocumented
Variable | `nodeprep` | Undocumented
Variable | `resourceprep` | Undocumented

B_1 = (source)

Undocumented

Value

    EmptyMappingTable(stringprep.in_table_b1)

B_2 = (source)

Undocumented

Value

    MappingTableFromFunction(stringprep.map_table_b2)

C_11 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c11)

C_12 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c12)

C_21 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c21)

C_22 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c22)

C_3 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c3)

C_4 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c4)

C_5 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c5)

C_6 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c6)

C_7 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c7)

C_8 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c8)

C_9 = (source)

Undocumented

Value

    LookupTableFromFunction(stringprep.in_table_c9)

crippled: `bool` = (source)

Undocumented

nameprep = (source)

Undocumented

nodeprep = (source)

Undocumented

resourceprep = (source)

Undocumented